
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于viewpager实现左右滑动到问题 / iVAN</title>

    <meta name="description" content="关于viewpager实现左右滑动到问题 问题描述 关于viewpager实现左右滑动到问题 在最后一张图向右继续滑动时,跳转到第一张图片 picture_viewpager.setAdapter(new PagerAdapter() { @Override public int getCount() { return pictureList.size(); } @Override public boolean isViewFromObject(View view, Object object) { return view == obj">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">关于viewpager实现左右滑动到问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>关于viewpager实现左右滑动到问题
        </dt>
<dd>
          <br />在最后一张图向右继续滑动时，跳转到第一张图片</p>
<pre><code> picture_viewpager.setAdapter(new PagerAdapter() {
            @Override
            public int getCount() {
                return pictureList.size();
            }

            @Override
            public boolean isViewFromObject(View view, Object object) {
                return view == object;
            }

            @Override
            public Object instantiateItem(ViewGroup container, int position) {
                container.addView(pictureList.get(position));
                return pictureList.get(position);
            }

            @Override
            public void destroyItem(ViewGroup container, int position, Object object) {
                container.removeView((View) object);
            }
        });

        picture_viewpager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() {
            @Override
            public void onPageScrolled(int position, float positionOffset, int positionOffsetPixels) {
                if (position==5&amp;&amp;positionOffset==0)
                {
                    picture_viewpager.setCurrentItem(1,false);
                }
            }

            @Override
            public void onPageSelected(int position) {

            }

            @Override
            public void onPageScrollStateChanged(int state) {

            }
        });
</code></pre>
<p>程序运行时，每次都会停止工作，是不是跟viewpager只能缓存3个页面有关，还是其他什么原因，该怎么解决</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>首先，肯定不是你说的原因。setOffscreenPageLimit()可是设置缓存的页面个数。建议把日志贴出来呃，比代码有效果多了。</p>
<p>解决方案二：<br />
    <br />判断条件有问题，另外日志也要贴出来，估计是数组越界异常</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 09:38:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/viewpager/" title="viewpager">viewpager</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>关于viewpager实现左右滑动到问题的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrN9rM.html" rel="bookmark">安卓中如何让Viewpager无论怎样滑动每次都重新执行onCreateView方法&quest;&quest;&quest;&quest;&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓中如何让Viewpager无论怎样滑动每次都重新执行onCreateView方法????? 也就是让viewpager不缓存界面,试过利用反射改变viewPgar中的一个属性,因为设置缓存数量的方法最少是1,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYxYyp.html" rel="bookmark">andorid viewPager &plus;fragmen实现滑动多个界面，每个界面都有数据请求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 andorid viewPager +fragmen实现滑动多个界面,每个界面都有数据请求 andorid viewPager +fragmen实现滑动多个界面,每个界面都有数据请求,但是我想让每个fragment仅第一次加载的时候请求数据,以后再滑动到这个fragment的时候都不在请求数据了(想请求可以下拉刷新),请问怎么实现? 解决方案 viewpager有个setOffscreenPageLimit方法,设置缓存页面数量,你有多少个fragment就设置多少,这样fragmen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jNVvp.html" rel="bookmark">Android中ViewPager带来的滑动卡顿问题解决要点解析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题说明:当SwipeRefreshLayout中放置了ViewPager控件,两者的滑动会相互冲突.具体表现为ViewPager的左右滑动不顺畅,容易被SwipeRefreshLayout拦截(即出现刷新的View). 问题原因:ViewPager本身是处理了滚动事件的冲突,它在横向滑动时会调用requestDisallowInterceptTouchEvent()方法使父控件不拦截当前的Touch事件序列.但是SwipeRefreshLayout的requestDisallowInterce			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEmAZz.html" rel="bookmark">Android使用ViewPager实现无限滑动效果&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 其实仔细想一下原理还是挺简单的.无非是当我们滑动到最后一页,再向后滑动时定位到第一页;当我们滑动到第一页,再向前滑动时定位到最后一页. 但是,相信很多朋友都遇到过这个问题:视图的过度效果不自然. 小编也是通过百度和谷歌查找了很多解决方案,实验了很多方法,总结了一个相对不错的方法,接下来给各位分享下滑动效果.实现细节以及一些踩过的坑. 1.无限滑动效果(左右无限滑动) 事先准备好2张滑动图片(有想试验的小伙伴,自备图片啊,小编就不提供了...) 运行效果图(左右无限循环): 为了显示更加直观			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKkvKM.html" rel="bookmark">Android利用ViewPager实现可滑动放大缩小画廊效果&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				画廊在很多的App设计中都有,如下图所示: 该例子是我没事的时候写的一个小项目,具体源码地址请访问https://github.com/AlexSmille/YingMi. 该画廊类似封面的效果,滑到中间的图片会慢慢变大,离开的View会慢慢的缩小,同时可设置滑动监听和点击监听. 网上有很多例子都是通过Gallery实现的,而上例的实现是通过ViewPager实现,解决了性能优化的问题,今天特此把它抽出来,封装一下,以便以后的方便使用.最终实现的效果如下: 使用方式 布局中添加该自定义控件 &lt;R			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Yen4z.html" rel="bookmark">Android编程开发ScrollView中ViewPager无法正常滑动问题解决方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程开发ScrollView中ViewPager无法正常滑动问题解决方法.分享给大家供大家参考,具体如下: 这里主要介绍如何解决ViewPager在ScrollView中滑动经常失效.无法正常滑动问题. 解决方法只需要在接近水平滚动时ScrollView不处理事件而交由其子View(即这里的ViewPager)处理即可,重写ScrollView的onInterceptTouchEvent函数,如下: package cc.newnews.view; import an			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBx0Rb.html" rel="bookmark">Android编程实现ViewPager多页面滑动切换及动画效果的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程实现ViewPager多页面滑动切换及动画效果的方法.分享给大家供大家参考,具体如下: 一.首先,我们来看一下效果图,这是新浪微博的Tab滑动效果.我们可以手势滑动,也可以点击上面的头标进行切换.与此同方式, 白色横条会移动到相应的页卡头标下.这是一个动画效果,白条是缓慢滑动过去的.好了,接下来我们就来实现它. 二.在开始前,我们先要认识一个控件,ViewPager.它是google SDk中自带的一个附加包的一个类,可以用来实现屏幕间的切换. 这个附加包是and			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvvZGWM.html" rel="bookmark">Android ViewPager撤消左右滑动切换功能实现代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近做项目要求某种情况下ViewPager不能滑动,那么我们只需要重写这个方法就可以禁止ViewPager滑动.下面通过本文给大家ViewPager取消左右滑动切换功能的实例代码,具体代码如下所示: IndexViewPager.Java: &lt;span style=&quot;background-color: rgb(255, 255, 255);&quot;&gt;import android.content.Context; import android.support.v4.view.Vie			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdLJQXp.html" rel="bookmark">Android编程开发ScrollView中ViewPager无法正常滑动问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程开发ScrollView中ViewPager无法正常滑动问题解决方法.分享给大家供大家参考,具体如下: 这里主要介绍如何解决ViewPager在ScrollView中滑动经常失效.无法正常滑动问题. 解决方法只需要在接近水平滚动时ScrollView不处理事件而交由其子View(即这里的ViewPager)处理即可,重写ScrollView的onInterceptTouchEvent函数,如下: package cc.newnews.view; import an			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeDeAp.html" rel="bookmark" class="title">一 应用CSS</a>
					<div>
						css 有三种方法应用CSS In-line 行内行内样式是在html标签里直接使用style属性 &lt;p style=&quot;color: red&quot;&gt;text&lt;/p&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVj5kz.html" rel="bookmark" class="title">构建安全的Xml Web Service系列&lpar;一&rpar;</a>
					<div>
						web|xml|安全 Xml Web Service 从诞生那天就说自己都么都么好,还津津乐道的说internet也会因此而进入一个新纪元,可5年多来,Xml Web Service并没有像当初宣扬的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyQXlM.html" rel="bookmark" class="title">Flash 中的文字绕排效果</a>
					<div>
						我们见过许多文字绕排的效果,使用得当,会给作品增色不少,而且现在可以做这个效果的工具也非常多,例如 CorelDraw ; FreeHand 等,把这应用进 Flash 该如何做呢?通常我们都是使用外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwGLmz.html" rel="bookmark" class="title">浅谈如何缩短百度快照的时间</a>
					<div>
						在昨天的文章&quot;浅谈如何缩短关键词排名第一的网站差距&quot;里讲到百度快照,那么新站如何缩短百度快照的时间,让百度蜘蛛更喜欢你的网站呢,本文将告诉你具体实用的方法.只要你一步一步坚持做下去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKeqAM.html" rel="bookmark" class="title">修复Windows7无法打开任务管理器的故障</a>
					<div>
						注册表.任务管理器打不开或是硬盘占用无故变大,用杀软杀出木马若干后,只有任务管理器还是打不开,现象不是那种弹出管理器的外观马上就消失,而是鼠标只轻轻地闪一下就没任何反应了,具体症状如下: 用reged ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKrXAM.html" rel="bookmark" class="title">搜狗输入法无法切换怎么办？</a>
					<div>
						  搜狗输入法是现如今使用人数最多的一款文字输入软件,该输入法默认是使用&quot;Shift+Ctrl&quot;快捷键进行切换的,不过很多用户在使用过中会偶尔遇到输入法无法切换的问题,对于无法切换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2XqrM.html" rel="bookmark" class="title">PS制作花火文字效果</a>
					<div>
						  效果 具体的制作步骤如下: 1.新建大小自定的文档,在背景层上面新建一个图层,命名为&quot;渐变&quot;.设置前景色为#724242,背景色#3c1a1a,然后,创建一个径向渐变,从文档的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLK4Zb.html" rel="bookmark" class="title">响应式设计的现状与趋势</a>
					<div>
						  从2012年开始到2014年,各大家对Web设计的趋势预测中,都提到响应式设计.2015年网页设计趋势预测中,响应式仍在继续.这个经历了几年依然大热的响应式,在过去的几年里,快速巩固了自己的地位, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNNYOM.html" rel="bookmark" class="title">如何利用动态影像提升网页魅力？</a>
					<div>
						网页上以动态影像传达信息,从技术上早已不是难题.如何围绕主题,让其形式追随传播的内容,运用动态影像使得网页更具魅力? 科技越发达.人类越懒惰.当我们在信息大爆炸的网络中疲倦于文字和图片,动态影像通常令 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7J3Bb.html" rel="bookmark" class="title">Photoshop打造甜美的中性淡蓝色外景美女图片</a>
					<div>
						  效果图调色主要分为两个部分,首先降低全图及主色饱和度得到初步的中性图片;然后用曲线及其它调色工具给图片增加一点蓝色即可得到想要的主色. 原图 最终效果 1.打开素材图片,创建色相/饱和度调整图层, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYyZ2M.html" rel="bookmark" class="title">让你的win8&period;1拥有所有的电源功能</a>
					<div>
						win8.1 Updata 的电源按钮想必大家是经常使用的吧,在微软最新的win8.1 Upada www.xitonghe.com/win8/操作系统中,我们可以使用Modern中的电源按钮实现很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoBZ7b.html" rel="bookmark" class="title">服务器-C&num;Socket连接，第一次要很久</a>
					<div>
						问题描述 C#Socket连接,第一次要很久 各位,我写了个 Socket 程序,服务端总是开启着,客户端偶尔连接.偶尔断开.现在如果客户端断开很久后再去连服务器,第一次要很久才能连接成功.大家有没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7aZaM.html" rel="bookmark" class="title">数字-Java打印String类型的问题</a>
					<div>
						问题描述 Java打印String类型的问题 代码是这样的: System.out.println( &quot;我的的兑换码为:&quot; + DigestUtils.shaHex(&quot;0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe740b.html" rel="bookmark" class="title">施密特揭互联网重大缺陷：缺乏删除按钮</a>
					<div>
						谷歌董事长施密特[搜狐IT消息]5月7日消息,据国外媒体报道,在6日的一次会议上,谷歌董事长施密特指出了互联网当下的一个重大缺陷:无法让网民轻松删除不希望继续存在的信息,他 认为,互联网应该学会&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R8onz.html" rel="bookmark" class="title">volatile可见性</a>
					<div>
						问题描述 我在学习volatile的时候,知道它的作用是保证线程的可见性,意思是说当共享变量发生改变时,其它线程可以见.但我不明白其它线程可见是什么意思? 例如共享变量x=0加了volatile这个关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYRjNb.html" rel="bookmark" class="title">中国股市热炒物联网下一次信息产业浪潮到来</a>
					<div>
						物联网是什么? 笔者对普通公司和机关的10个人做了一个随机小调查,50%的人不知道所指何物,40%的人听说过,但不大清楚:只有一个人知道,而且感兴趣.这个人就是笔者本人,由此可见,现在物联网还不为大众 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVm2Bz.html" rel="bookmark" class="title">PHP  实现等比压缩图片尺寸和大小实例代码&lowbar;php技巧</a>
					<div>
						废话不多说了,直接给大家贴php等比压缩图片大小的相关代码了,具体代码如下所示: &lt;?php $im = imagecreatefromjpeg('D:phpplace.jpeg'); resi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYRv9b.html" rel="bookmark" class="title">剖析 PHP 中的输出缓冲&lowbar;php技巧</a>
					<div>
						我们先来看一段代码:     〈?php     for ($i=10; $i〉0; $i--)     {      echo $i;      flush();      sleep(1);    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QK0dM.html" rel="bookmark" class="title">黄晓明代言频频获时尚品牌广告代言人&lpar;组图&rpar;</a>
					<div>
						酷帅有型 拼接西装个性时尚 刘江.苏芒.黄晓明 苏芒赞黄晓明穿衣品味 黄晓明获颁大奖 与王中军相谈甚欢 手拿艺术珍品 心情愉悦(点击小图看大图)点击此处查看其它图片 新浪娱乐讯 由时尚传媒集团主办的2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0GR8p.html" rel="bookmark" class="title">方便面行业从口味转变为了对营养汤品的关注</a>
					<div>
						&quot;以白象精炖大骨面为代表的营养型方便面正在成为行业发展的新引擎.&quot;在日前落幕的第十二届中国面制品大会暨中国方便食品20年成就展&quot;关于&quot;骨汤的魅力&quot;的讨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYk9Nb.html" rel="bookmark" class="title">命名管道接收监听代码的问题</a>
					<div>
						问题描述 privatevoidWaitForConnectionCallBack(IAsyncResultiar){try{//GetthepipeNamedPipeServerStreampipe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7gwjM.html" rel="bookmark" class="title">IOS打包问题</a>
					<div>
						问题描述 解决方案 上述的回复,问题解决了么?   @李乾坤David					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4OeOb.html" rel="bookmark" class="title">推荐：10种食物吃出好记性</a>
					<div>
						脑力劳动者吃什么好?营养保健专家研究发现,一些有助于补脑健智的食品,并非昂贵难觅,而恰恰是廉价又普通之物,日常生活随处可见,脑力劳动者的饮食也是很讲究的,下面我们来看看这几种健脑食物. 1.花生 花生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWqQ9p.html" rel="bookmark" class="title">地区性网站进入群雄逐鹿时代 从PHPwind8&period;0发布谈起</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天(2010年7月29日),PH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YWWYb.html" rel="bookmark" class="title">谷歌将在11月晚些时候停止为黑莓手机提供Gmail原生应用支持</a>
					<div>
						摘要: 11月10日消息,据国外媒体报道,谷歌今日发布了一个生命终期声明.谷歌在该声明中表示,其将在11月晚些时候停止为黑莓手机提供Gmail原生应用支持. 谷歌表示,由于公司正集中精力 11月10日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4LGZb.html" rel="bookmark" class="title">总结竞品分析报告中常犯错误</a>
					<div>
						在几年的产品工作过程中,写过一些竞品分析报告,总结了几个曾经犯过的错误,下面就一起和大家分享一下,希望能引起大家注意,避免同样的错误. 一.没有结论的功能点介绍 最常见的竞品分析方法就是对市场上的领先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmk6Bp.html" rel="bookmark" class="title">搜狗推出其网页评级参数 sogou rank</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 估计大家很熟悉google的pr值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Ykxoz.html" rel="bookmark" class="title">辽宁近三成农户用网络推销农产品</a>
					<div>
						新华网沈阳6月21日电(记者冯雷)沈阳新民市兴隆店周家村的周洪梅近几年农闲时热衷上网,曾被村里人认为是&quot;不务正业&quot;.而如今,他通过网络为村里推销出大量农产品,成了当地的能人. 去年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdZxep.html" rel="bookmark" class="title">人人都是 DBA（XIII）索引信息收集脚本汇编</a>
					<div>
						原文:人人都是 DBA(XIII)索引信息收集脚本汇编 什么?有个 SQL 执行了 8 秒! 哪里出了问题?臣妾不知道啊,得找 DBA 啊. DBA 人呢?离职了!!擦!!! 程序员在无处寻求帮助时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByV0dz.html" rel="bookmark" class="title">马克龙被&amp;quot&semi;黑&amp;quot&semi;被美势力网上热炒 英德严防黑客攻击</a>
					<div>
						法国总统选举决胜轮投票开始前夕,&quot;前进&quot;运动候选人埃马纽埃尔·马克龙竞选团队内部文件遭黑客泄露,引发不小风波.路透社7日援引网络安全专家的话报道,美国极右翼势力在这起事件中充当了网 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
